public class LocalPlayer extends Player {

    @Override
    public synchronized void receiveShoot(Point point) {
        HitResponse hitResponse = board.getHitResponsOnPoint(point);
        if (!(hitResponse == null)){
            enemy.receiveHit(hitResponse);
        } else {
            enemy.receiveHit(this.board.hit(point));
        }
    }

    @Override
    public synchronized void receiveHit(HitResponse hitResponse) {
        enemy.board.addHits(hitResponse);
    }
	
}